Bug 493466 - perl scripts from rhn-upgrade should be moved to spacewalk-setup package
perl scripts from rhn-upgrade should be moved to spacewalk-setup package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-04-01 16:22 EDT by Milan Zazrivec
Modified: 2009-08-27 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-04-01 16:22:16 EDT
Description of problem:
Currently rhn-upgrade package contains following perl scripts required
during Satellite upgrade:
* rhn-enable-monitoring.pl
* rhn-enable-push.pl
* rhn-load-config.pl

rhn-upgrade package needs to be installed on a Satellite to be upgraded
prior to the actual upgrade start and as such needs to be pushed into
every existing (and supported) satellite channel in hosted (only distribution
channel for it).

Current setup puts following requirement on all existing Satellite versions:
requirements of perl scripts contained in rhn-upgrade need to be satisfied
on all existing Satellite versions. What this means is that we cannot
change the code in rhn-upgrade that easily, as these changes could mean
requirement changes that might not be satisfied on older Satellites.

Life would become much easier if these scripts would become part of
spacewalk-setup and be able to use whatever latest - greatest modules 
/ functionality we have in spacewalk-setup package (and its modules).

This change would not require any modifications in upgrade procedures,
since these scripts are supposed to be run *after* package upgrade
(only thing that would change is the path to these scripts in upgrade
documentation).

Version-Release number of selected component (if applicable):
rhn-upgrade-5.3.0.6-1

How reproducible:
Always

Steps to Reproduce:
1. Verify that all perl scripts from the list above are contained in
spacewalk-setup package.
2. Verify that rhn-upgrade is installable on all supported Satellite
versions prior to the upgrade start (as in there are no unresolved
dependencies when doing yum install rhn-upgrade / up2date -i rhn-upgrade).
  
Actual results:
perl scripts contained in rhn-upgrade.

Expected results:
perl scripts contained in spacewalk-setup.

Additional info:
When fix for this will be in place, following commits from spacewalk.git
can be reverted:
e1c35fe888d405217ce8ee4096c9b449ee3573e9
966b9e7a545130fde46fb324a9fb1fa460551ec0
7714864d4a100931c0071695f659e2b2608aa6ae
Comment 1 Clifford Perry 2009-04-07 13:23:07 EDT
Myself and Brandon have reviewed the commits, this bug and feel that we are happy to accept the work to be done as outlined above for end result being:


1. Verify that all perl scripts from the list above are contained in
spacewalk-setup package.
2. Verify that rhn-upgrade is installable on all supported Satellite
versions prior to the upgrade start (as in there are no unresolved
dependencies when doing yum install rhn-upgrade / up2date -i rhn-upgrade).
3 - update Upgrade docs to correct/new paths for these scripts which are part of spacewalk-setup. 

Cliff.
Comment 2 Milan Zazrivec 2009-04-17 04:47:52 EDT
spacewalk.git master:
ef3c85e1687c42db906f37e17ee3fb70d140eff3
c4890f9e85264d2f5013a7c7cc80e13a3dac75e7
86f78aae2e53365e1671f1dac51baa5bdc1832a7
e0db2ad7a4211dbb4007ca13e3dbef8deb80cd27
fa874743ec942558621b7a59122f36e0a81c633c

spacewalk.git VADER:
9934220bd5c6e8b9c9b236e1859b3c08cc5a0a66
152974a2ec161fde3d4d8b303458cabc5f944d0a
9d54a19179349cdf04df0943f622ef435d7b1fc5
e7e42abaf5f5bb94e38b87508952af6b44e95f0f
51bf8203d41270eb57175f0433f2c63f1a65292d

satellite.git SATELLITE-5.3:
e6285b1c001ae709f919a3da13ef0a54cbbe9f78
3c79167497dcfaf5d7b2b707bf8395d3ae45779d
0cc431de8869eb6bcd7e1b46d17fc3dfc52e5f8a
Comment 3 Milan Zazrivec 2009-04-27 09:34:21 EDT
rhn-upgrade-5.3.0.7-1 & spacewalk-setup-0.5.27-6
Comment 4 Jeff Browning 2009-05-12 17:01:24 EDT
[root@fjs-0-01 satellite-upgrade]# rpm -ql spacewalk-setup | grep upgrade
/usr/share/spacewalk/setup/oracle/upgrade-db.sh
/usr/share/spacewalk/setup/upgrade
/usr/share/spacewalk/setup/upgrade/rhn-enable-monitoring.pl
/usr/share/spacewalk/setup/upgrade/rhn-enable-push.pl
/usr/share/spacewalk/setup/upgrade/rhn-load-config.pl

[root@fjs-0-01 satellite-upgrade]# rpm -ql rhn-upgrade
/etc/sysconfig/rhn/satellite-upgrade/README
/etc/sysconfig/rhn/satellite-upgrade/rhn-charsets
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1a.txt
/etc/sysconfig/rhn/satellite-upgrade/rhn-satellite-5-upgrade-scenario-1b.txt
/etc/sysconfig/rhn/satellite-upgrade/rhn-schema-version
/etc/sysconfig/rhn/satellite-upgrade/satellite-oracle-64bit-fix.sql
/etc/sysconfig/rhn/satellite-upgrade/satellite-oracle-9i-catpatch-fix.sql
/etc/sysconfig/rhn/satellite-upgrade/satellite-pre5.0-system-user-fix.sql


Documents have been updated to reflect the new location of these .pl files as well.

Verified.
Comment 5 Miroslav Suchý 2009-08-24 11:21:17 EDT
those script are not presented on sat520 with rhn-upgrade installed.
on sat530 are presented and belongs to spacewalk-setup
Comment 6 Brandon Perkins 2009-08-27 13:38:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.